<div class="row justify-content-center">
    <div class="col-md-6">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 class="header text-center pb-4" id="myUserLabel" jhiTranslate="emailTemplateManagement.home.createLabel">
            </h2>
            <div *ngIf="emailTemplate">
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!emailTemplate.id">
                    <label jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" name="id" formControlName="id" readonly>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="emailTemplateManagement.type">type</label>
                    <br>
                    <label class="pr-5 label-custom">
                        <input type="radio" value="MAIN" formControlName="type" (ngModelChange)="changeType($event)">
                        <span jhiTranslate="emailTemplateManagement.main">Main</span>
                    </label>
                    <label class="pr-5 label-custom">
                        <input type="radio" value="REMINDER_1" formControlName="type" (ngModelChange)="changeType($event)">
                        <span jhiTranslate="emailTemplateManagement.reminder1">Reminder1</span>
                    </label>
                    <label class="label-custom">
                        <input type="radio" value="REMINDER_2" formControlName="type" (ngModelChange)="changeType($event)">
                        <span jhiTranslate="emailTemplateManagement.reminder2">Reminder2</span>
                    </label>

                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="emailTemplateManagement.name">name</label>
                    <input placeholder="{{'emailTemplateManagement.namePlaceholder' | translate}}" type="text" class="form-control" name="name"
                           formControlName="name" jhiNoSpaces>

                    <div *ngIf="editForm.get('name')!.invalid && (editForm.get('name')!.dirty || editForm.get('name')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('name')?.errors?.maxlength"
                               jhiTranslate="entity.validation.maxlength"
                               [translateValues]="{ max: 255 }">
                            This field cannot be longer than 255 characters.
                        </small>
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('name')?.errors?.required"
                               jhiTranslate="entity.validation.required">
                            This field is required.
                        </small>
                        <small class="form-text text-danger"
                               *ngIf="!editForm.get('name')?.errors?.required && editForm.get('name')?.errors?.noWhitespace"
                               jhiTranslate="error.noWhiteSpace">
                            The value must not be all spaces.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="emailTemplateManagement.content">content</label>
                    <br>
                    <ckeditor [config]="configuration"  [editor]="Editor" formControlName="content"></ckeditor>
                    <div *ngIf="editForm.get('content')!.invalid && (editForm.get('content')!.dirty || editForm.get('content')!.touched)">
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('content')?.errors?.required"
                           jhiTranslate="entity.validation.required">
                        This field is required.
                    </small>
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('content')?.errors?.maxlength"
                           jhiTranslate="entity.validation.maxlength"
                           [translateValues]="{ max: 16777215 }">
                        This field cannot be longer than 16777215 characters.
                    </small>
                </div>
                <div>
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('type')?.value === 'MAIN' && !editForm.get('content')?.value.includes(REQUIRED_MAIN_CONTENT)">
                        <span jhiTranslate="emailTemplateManagement.message.mainTemplateRequired">The main email template must be contain </span>
                        <span [innerHTML]="REQUIRED_MAIN_CONTENT"></span>
                    </small>
                    <small class="form-text text-danger"
                           *ngIf="(editForm.get('type')?.value === 'REMINDER_1' || editForm.get('type')?.value === 'REMINDER_2') && !editForm.get('content')?.value.includes(REQUIRED_REMINDER_CONTENT)">
                        <span jhiTranslate="emailTemplateManagement.message.reminderTemplateRequired">The reminder email template must be contain </span>
                        <span [innerHTML]="REQUIRED_REMINDER_CONTENT"></span>
                    </small>
                </div>

            </div>

            <div *ngIf="emailTemplate">
                <button type="button" class="btn btn-outline-primary" (click)="previousState()">
                    <span jhiTranslate="entity.action.back">Cancel</span>
                </button>

                <button type="submit" [disabled]="editForm.invalid || isSaving || editForm.get('type')?.value === 'MAIN' && !editForm.get('content')?.value.includes(REQUIRED_MAIN_CONTENT) || (editForm.get('type')?.value === 'REMINDER_1' || editForm.get('type')?.value === 'REMINDER_2') && !editForm.get('content')?.value.includes(REQUIRED_REMINDER_CONTENT)" class="btn btn-primary float-right">
                    <span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
            </div>
        </form>
    </div>
</div>
